#ifndef TYPON_THEFT_POINT_HPP_INCLUDED
#define TYPON_THEFT_POINT_HPP_INCLUDED

#include <coroutine>
#include <cstdint>


namespace typon
{

  struct TheftPoint
  {
    using u64 = std::uint_fast64_t;

    std::coroutine_handle<> _coroutine;
    u64 _thefts = 0;

    TheftPoint() noexcept {}

    TheftPoint(std::coroutine_handle<> coroutine) noexcept
      : _coroutine(coroutine)
    {}
  };

}


#endif // TYPON_THEFT_POINT_HPP_INCLUDED
